git-deps

A Dockerfile for git-deps

In Git Minutes #32, Adam Spiers talked about git-deps, which was interesting for me. We don't cherry pick usually nor backport commits, but I analyse bugs trying to find out when and with which the buggy code was introduced. So I gave it a try. Just before Ubuntu released 15.04 it was not trivial to install the required dependecies for git-deps, namely libgit2 >=0.22, I created a Dockerfile based on Ubuntu 15.04, which brings all dependencies for git-deps out of the box. The git-deps visualization server starts…

Keep reading